libvirt-java-devel-0.4.9-1.el6.noarch.rpm


Advertisement

Description

libvirt-java-devel - Compressed Java source files for libvirt-java

Property Value
Distribution CentOS 6
Repository CentOS i386
Package filename libvirt-java-devel-0.4.9-1.el6.noarch.rpm
Package name libvirt-java-devel
Package version 0.4.9
Package release 1.el6
Package architecture noarch
Package type rpm
Category Development/Libraries
Homepage http://libvirt.org/
License MIT
Maintainer -
Download size 8.61 KB
Installed size 14.57 KB
Libvirt-java is a base framework allowing to use libvirt, the virtualization
API though the Java programming language. This is the development part needed
to build applications with Libvirt-java.

Alternatives

Package Version Architecture Repository
libvirt-java-devel-0.4.9-1.el6.noarch.rpm 0.4.9 noarch CentOS
libvirt-java-devel - - -

Requires

Name Value
libvirt-java = 0.4.9-1.el6

Provides

Name Value
libvirt-java-devel = 0.4.9-1.el6

Download

Type URL
Mirror mirror.centos.org
Binary Package libvirt-java-devel-0.4.9-1.el6.noarch.rpm
Source Package libvirt-java-0.4.9-1.el6.src.rpm

Install Howto

Install libvirt-java-devel rpm package:

# yum install libvirt-java-devel

Files

Path
/usr/share/doc/libvirt-java-devel-0.4.9/test.java

Changelog

2012-09-14 - Daniel Veillard <veillard@redhat.com> - 0.4.9-1
- Change Licence to MIT and release 0.4.9
- Fix IndexOutOfBoundsException for unknown error codes
- Fix javadoc warnings
- Fix typo in Domain.java
- setSchedulerParameters sets CPU shares to 2 for any value rhbz#770043
2011-02-04 - Daniel Veillard <veillard@redhat.com> - 0.4.7-1
- rebase to 0.4.7
- Added libvirt support up to 0.8.2 API
- Only throw errors on real errors.
- Remote non thread safe error reporting
- fix 600819 Incorrect scheduler parameter value passed to native API.
- Resolves: rhbz#675044
2010-07-08 - Daniel Veillard <veillard@redhat.com> - 0.4.5-2
- extraneous CopyOf from java-1.6 broke the release on old java versions
- Resolves: rhbz#582294
2010-06-29 - Daniel Veillard <veillard@redhat.com> - 0.4.5-1
- rebase to 0.4.5
- Added libvirt support up to 0.8.1 API
- Improved packaging for javadocs
- Better Free/Close handling
- Resolves: rhbz#582332
2010-05-26 - Deepak Bhole <dbhole@redhat.com> - 0.4.2-3
- Remove epoch from the java 1.5.0 requirements
2010-04-15 - Daniel Veillard <veillard@redhat.com> - 0.4.2-2
- Missing /usr/share/javadoc/libvirt symlink
- Resolves: rhbz#579037
- Allow libvirt-java build on all architecture, lower require to java >= 1.5
- Resolves: rhbz#582294
2010-02-02 - Daniel Veillard <veillard@redhat.com> - 0.4.2-1
- update to upstream 0.4.2
- fix a crash in getSchedulerParameters()
- Resolves: rhbz#560658
2010-01-20 - Daniel Veillard <veillard@redhat.com> - 0.4.1-1
- update to upstream 0.4.1
- better scheduler parameters checking and error reporting 
- Resolves: rhbz#557066
2010-01-11 - Daniel Veillard <veillard@redhat.com> - 0.4.0-1
- update to 0.4.0
- Modified the dependency to be libvirt-client instead of libvirt.
- Added libvirt APIs up through 0.7.0
- Added maven building tools.
- Fixed connection and domain bugs found by Thomas Treutner
- Resolves: rhbz#554348
2009-11-30 - Dennis Gregorovic <dgregor@redhat.com> - 0.3.0-1.1
- Rebuilt for RHEL 6

See Also

Package Description
libvirt-java-javadoc-0.4.9-1.el6.noarch.rpm Java documentation for libvirt-java
libvirt-python-0.10.2-64.el6.i686.rpm Python bindings for the libvirt library
libvirt-snmp-0.0.2-5.el6.i686.rpm SNMP functionality for libvirt
libvisual-0.4.0-10.el6.i686.rpm Abstraction library for audio visualisation plugins
libvisual-devel-0.4.0-10.el6.i686.rpm Development files for libvisual
libvncserver-0.9.7-7.el6_6.1.i686.rpm Library to make writing a vnc server easy
libvncserver-devel-0.9.7-7.el6_6.1.i686.rpm Development files for libvncserver
libvoikko-2.2.2-1.el6.i686.rpm Voikko is a library for spellcheckers and hyphenators
libvoikko-devel-2.2.2-1.el6.i686.rpm Development files for libvoikko
libvorbis-1.2.3-5.el6_9.1.i686.rpm The Vorbis General Audio Compression Codec
libvorbis-devel-1.2.3-5.el6_9.1.i686.rpm Development tools for Vorbis applications
libvorbis-devel-docs-1.2.3-5.el6_9.1.noarch.rpm Documentation for developing Vorbis applications
libvpx-1.3.0-5.el6_5.i686.rpm VP8 Video Codec SDK
libvpx-devel-1.3.0-5.el6_5.i686.rpm Development files for libvpx
libvpx-utils-1.3.0-5.el6_5.i686.rpm VP8 utilities and tools
Advertisement
Advertisement